diff --git a/gcc/tree-vect-slp.c b/gcc/tree-vect-slp.c
index 73aa227..99a8104 100644
--- a/gcc/tree-vect-slp.c
+++ b/gcc/tree-vect-slp.c
@@ -4255,8 +4260,8 @@ vect_schedule_slp (vec_info *vinfo)
       /* Schedule the tree of INSTANCE.  */
       is_store = vect_schedule_slp_instance (SLP_INSTANCE_TREE (instance),
                                              instance, bst_map);
-      if (dump_enabled_p ())
-	dump_printf_loc (MSG_NOTE, vect_location,
+      if (thing_enabled_p ())
+	vect_location_writeln (OPT_RECORD_REMARK,
                          "vectorizing stmts using SLP.\n");
     }
   delete bst_map;
